Gtk_Trashcan(3)

NAME - Gtk_Trashcan
Avoids the "delete this" problem, allowing an object to free itself. Simply queues the thrown away objects for deletion as soon as there are no events pending.This is often needed if you want to delete the object ina callback attached to one of its signals.

HEADER REQUIRED
#include <gtk--/object.h&gt;>

BASE CLASSES
Gtk_Trashcan_Helper(3) Gtk_Signal_Base(3)

PUBLIC MEMBER INDEX
    Gtk_Trashcan();
    virtual  ~Gtk_Trashcan();
    void  throw_away(DeleteType* dt);

PRIVATE MEMBER INDEX
    gint  delete_idle();
    GSList*  delete_list;

PUBLIC MEMBER DESCRIPTIONS

PRIVATE MEMBER DESCRIPTIONS